---
title: "Retrieve HR Applications by Code"
slug: "retrieve-hr-applications-by-code"
updated: 2026-05-26T12:53:14Z
published: 2026-05-26T12:53:48Z
canonical: "developers.cmicglobal.com/retrieve-hr-applications-by-code"
---

> ## Documentation Index
> Fetch the complete documentation index at: https://developers.cmicglobal.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve HR Applications by Code

Get/hcm-rest-api/rest/1/hrapplications

## Query Standards

### Finder

Following row finders are available for data filtering and optimizing request performance.

- Application Finder
- By UUID

#### Application Finder

Recommended finder parameters. Refer to Query Parameters for example.

| Parameter | Description | Sample |
| --- | --- | --- |
| AplNoVar | Application Number | 30354 |
| TrdCode | Trade Code | 0095 |
| AplStatus | Application Status | HIREPENDIN |

#### By UUID

This is an optional finder for querying a specific Application by row ID.

| Parameter | Description | Sample |
| --- | --- | --- |
| /VUUID | The VUuid attribute is the Unique row ID | /hcm-rest-api/rest/1/hrapplications/EC84C19BA444575FE05316821FAC4B65 |

SecurityHTTPType basic

Basic authentication

Query parametersfinderstringExampleApplicationFinder;AplNoVar=30354,TrdCode=0095,AplStatus=HIREPENDIN
limitintegerExample500
offsetintegerExample0
totalResultsbooleanExampletrue
orderBystringExampleHrapVUuid:desc

Responses200

OK

HeadersContent-TypestringExampleapplication/vnd.oracle.adf.resourcecollection+json
<select class='api-response-data' aria-label='Media type'><option value='acf6c594-2893-4a7b-ab41-689c11b49b24'>application/json</option>
</select>

```json
{
  "items": [
    {
      "HrapAplNo": "30354",
      "HrapTrdCode": "0095",
      "HrapDate": "2022-11-02T21:52:06Z",
      "HrapSourceType": "M",
      "HrapNotes": "Hired by Workato Access",
      "HrapStatus": "HIREPENDIN",
      "HrapViewedStatus": null,
      "HrapViewedNewDate": "2022-11-02",
      "HrapViewedModifiedDate": "2022-11-02",
      "HrapVUuid": "EC84C19BA444575FE05316821FAC4B65",
      "HrapReqCode": null,
      "links": [
        {
          "rel": "self",
          "href": "http://mobtest.cmiccloudr12.com:80/cmictestrti/hcm-rest-api/rest/1/hrapplications/EC84C19BA444575FE05316821FAC4B65",
          "name": "hrapplications",
          "kind": "item"
        },
        {
          "rel": "canonical",
          "href": "http://mobtest.cmiccloudr12.com:80/cmictestrti/hcm-rest-api/rest/1/hrapplications/EC84C19BA444575FE05316821FAC4B65",
          "name": "hrapplications",
          "kind": "item"
        }
      ]
    }
  ],
  "count": 1,
  "hasMore": false,
  "limit": 5,
  "offset": 0,
  "links": [
    {
      "rel": "self",
      "href": "http://mobtest.cmiccloudr12.com:80/cmictestrti/hcm-rest-api/rest/1/hrapplications",
      "name": "hrapplications",
      "kind": "collection"
    }
  ]
}
```

object
